package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

public class B4 {

    public B4() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "新图段名")
    private String newSectionName;
    @JSONField(name = "段类型")
    private String sectionType;
    @JSONField(name = "区域类型")
    private String areaType;
    @JSONField(name = "运营商和工程期别")
    private String operator;
    @JSONField(name = "测量公里")
    private Double measureKm;
    @JSONField(name = "皮线公里")
    private Double skinLineKm;
    @JSONField(name = "日期")
    private String currentTime;
    @JSONField(name = "新图人")
    private String newPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "员工归属单元")
    private String employeeOwnerUnit;
    @JSONField(name = "项目归属单元")
    private String projectOwnerUnit;
    @JSONField(name = "说明")
    private String explainInfo;

//    private String status;
//
//    private String passed;
//
//    private String verifier;
//
//    private String verifyTime;
//
//    private String uploadPerson;
    @JSONField(name = "上传日期时间")
    private String uploadTime;
    @JSONField(name = "同意标志")
    private String agreeSign;

    public B4(String currentTime, String userId, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.userId = userId;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public B4(String currentTime, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNewSectionName() {
        return newSectionName;
    }

    public void setNewSectionName(String newSectionName) {
        this.newSectionName = newSectionName;
    }

    public String getSectionType() {
        return sectionType;
    }

    public void setSectionType(String sectionType) {
        this.sectionType = sectionType;
    }

    public String getAreaType() {
        return areaType;
    }

    public void setAreaType(String areaType) {
        this.areaType = areaType;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public Double getMeasureKm() {
        return measureKm;
    }

    public void setMeasureKm(Double measureKm) {
        this.measureKm = measureKm;
    }

    public Double getSkinLineKm() {
        return skinLineKm;
    }

    public void setSkinLineKm(Double skinLineKm) {
        this.skinLineKm = skinLineKm;
    }

    public String getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(String currentTime) {
        this.currentTime = currentTime;
    }

    public String getNewPerson() {
        return newPerson;
    }

    public void setNewPerson(String newPerson) {
        this.newPerson = newPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getEmployeeOwnerUnit() {
        return employeeOwnerUnit;
    }

    public void setEmployeeOwnerUnit(String employeeOwnerUnit) {
        this.employeeOwnerUnit = employeeOwnerUnit;
    }

    public String getProjectOwnerUnit() {
        return projectOwnerUnit;
    }

    public void setProjectOwnerUnit(String projectOwnerUnit) {
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }


    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getAgreeSign() {
        return agreeSign;
    }

    public void setAgreeSign(String agreeSign) {
        this.agreeSign = agreeSign;
    }

    @Override
    public String toString() {
        return "B4{" +
                "id=" + id +
                ", newSectionName='" + newSectionName + '\'' +
                ", sectionType='" + sectionType + '\'' +
                ", areaType='" + areaType + '\'' +
                ", operator='" + operator + '\'' +
                ", measureKm=" + measureKm +
                ", skinLineKm=" + skinLineKm +
                ", currentTime='" + currentTime + '\'' +
                ", newPerson='" + newPerson + '\'' +
                ", employeeOwnerUnit='" + employeeOwnerUnit + '\'' +
                ", projectOwnerUnit='" + projectOwnerUnit + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                ", agreeSign='" + agreeSign + '\'' +
                '}';
    }
}
